Package io.dapr.workflows.internal

# Class ApiTokenClientInterceptor

java.lang.Object
io.dapr.workflows.internal.ApiTokenClientInterceptor

All Implemented Interfaces:
  `io.grpc.ClientInterceptor`

public class ApiTokenClientInterceptor extends Object implements io.grpc.ClientInterceptor

## Constructor Summary

Constructors
Constructor
Description
`ApiTokenClientInterceptor(io.dapr.config.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`<ReqT, RespT>
io.grpc.ClientCall<ReqT,RespT>`
`interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions options, io.grpc.Channel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApiTokenClientInterceptor

public ApiTokenClientInterceptor(io.dapr.config.Properties properties)

## Method Details

### interceptCall

public <ReqT, RespT> io.grpc.ClientCall<ReqT,RespT> interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions options, io.grpc.Channel channel)

Specified by:
  `interceptCall` in interface `io.grpc.ClientInterceptor`